summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2021-01-13 15:56:33 +0100
committerChristophe Lyon <christophe.lyon@foss.st.com>2021-07-06 13:11:44 +0000
commit1a073ec9c64f5f40418efc8b22945ebaa8d58014 (patch)
tree3793ca219a4833b23cf70bb4052c4424a5d6be33
parent3a1d8067699ee8aa07a809ea54ee0f72b57e1754 (diff)
qemu-wrapper.sh: Enable support for umeq
-rwxr-xr-xqemu-wrapper.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/qemu-wrapper.sh b/qemu-wrapper.sh
index ccd37a4..ac75461 100755
--- a/qemu-wrapper.sh
+++ b/qemu-wrapper.sh
@@ -14,8 +14,12 @@ TIMEOUT="timeout -s KILL 300"
#The messages from /usr/bin/time cause some tests to fail when scanning the output, so don't use it
#TIME="/usr/bin/time --verbose"
TIME=
-#$TIMEOUT $TIME setarch x86_64 -R PROOT -q "QEMU_BIN " -R WHICHSYSROOT -b BUILDROOT "$@" #UMEQ
-#exit $? #UMEQ
+case QEMU_BIN in
+ *umeq*)
+ $TIMEOUT $TIME setarch x86_64 -R PROOT -q "QEMU_BIN " -R WHICHSYSROOT -b BUILDROOT "$@" #UMEQ
+ exit $? #UMEQ
+ ;;
+esac
$TIMEOUT $TIME setarch x86_64 -R PROOT -q "QEMU_BIN -cpu QEMU_CPU -R 0" -R WHICHSYSROOT -b BUILDROOT "$@"
ret1=$?